Toast Vue Component

There is no specific Toast Vue Component, you need to use core Toast component.

Examples

toast.vue
<template>
  <f7-page @page:beforeremove="onPageBeforeRemove" @page:beforeout="onPageBeforeOut">
    <f7-navbar title="Toast"></f7-navbar>
    <f7-block strong-ios outline-ios>
      <p>Toasts provide brief feedback about an operation through a message on the screen.</p>
      <p>
        <f7-button fill @click="showToastBottom">Toast on Bottom</f7-button>
      </p>
      <p>
        <f7-button fill @click="showToastTop">Toast on Top</f7-button>
      </p>
      <p>
        <f7-button fill @click="showToastCenter">Toast on Center</f7-button>
      </p>
      <p>
        <f7-button fill @click="showToastIcon">Toast with icon</f7-button>
      </p>
      <p>
        <f7-button fill @click="showToastLargeMessage">Toast with large message</f7-button>
      </p>
      <p>
        <f7-button fill @click="showToastWithButton">Toast with close button</f7-button>
      </p>
      <p>
        <f7-button fill @click="showToastWithCustomButton">Toast with custom button</f7-button>
      </p>
      <p>
        <f7-button fill @click="showToastWithCallback">Toast with callback on close</f7-button>
      </p>
    </f7-block>
  </f7-page>
</template>
<script>
import { f7Navbar, f7Page, f7Block, f7Button, f7, theme } from 'framework7-vue';

export default {
  components: {
    f7Navbar,
    f7Page,
    f7Block,
    f7Button,
  },
  methods: {
    showToastBottom() {
      const self = this;
      // Create toast
      if (!self.toastBottom) {
        self.toastBottom = f7.toast.create({
          text: 'This is default bottom positioned toast',
          closeTimeout: 2000,
        });
      }
      // Open it
      self.toastBottom.open();
    },
    showToastTop() {
      const self = this;
      // Create toast
      if (!self.toastTop) {
        self.toastTop = f7.toast.create({
          text: 'Top positioned toast',
          position: 'top',
          closeTimeout: 2000,
        });
      }
      // Open it
      self.toastTop.open();
    },
    showToastCenter() {
      const self = this;
      // Create toast
      if (!self.toastCenter) {
        self.toastCenter = f7.toast.create({
          text: "I'm on center",
          position: 'center',
          closeTimeout: 2000,
        });
      }
      // Open it
      self.toastCenter.open();
    },
    showToastIcon() {
      const self = this;
      // Create toast
      if (!self.toastIcon) {
        self.toastIcon = f7.toast.create({
          icon: theme.ios
            ? '<i class="f7-icons">star_fill</i>'
            : '<i class="material-icons">star</i>',
          text: "I'm on center",
          position: 'center',
          closeTimeout: 2000,
        });
      }
      // Open it
      self.toastIcon.open();
    },
    showToastLargeMessage() {
      const self = this;
      // Create toast
      if (!self.toastLargeMessage) {
        self.toastLargeMessage = f7.toast.create({
          text: 'This toast contains a lot of text. Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil, quae, ab. Delectus amet optio facere autem sapiente quisquam beatae culpa dolore.',
          closeTimeout: 2000,
        });
      }
      // Open it
      self.toastLargeMessage.open();
    },
    showToastWithButton() {
      const self = this;
      // Create toast
      if (!self.toastWithButton) {
        self.toastWithButton = f7.toast.create({
          text: 'Toast with additional close button',
          closeButton: true,
        });
      }
      // Open it
      self.toastWithButton.open();
    },
    showToastWithCustomButton() {
      const self = this;
      // Create toast
      if (!self.toastWithCustomButton) {
        self.toastWithCustomButton = f7.toast.create({
          text: 'Custom close button',
          closeButton: true,
          closeButtonText: 'Close Me',
          closeButtonColor: 'red',
        });
      }
      // Open it
      self.toastWithCustomButton.open();
    },
    showToastWithCallback() {
      const self = this;
      // Create toast
      if (!self.toastWithCallback) {
        self.toastWithCallback = f7.toast.create({
          text: 'Callback on close',
          closeButton: true,
          on: {
            close() {
              f7.dialog.alert('Toast closed');
            },
          },
        });
      }
      // Open it
      self.toastWithCallback.open();
    },
    onPageBeforeOut() {
      f7.toast.close();
    },
    onPageBeforeRemove() {
      const self = this;
      // Destroy toasts when page removed
      if (self.toastBottom) self.toastBottom.destroy();
      if (self.toastTop) self.toastTop.destroy();
      if (self.toastCenter) self.toastCenter.destroy();
      if (self.toastIcon) self.toastIcon.destroy();
      if (self.toastLargeMessage) self.toastLargeMessage.destroy();
      if (self.toastWithButton) self.toastWithButton.destroy();
      if (self.toastWithCustomButton) self.toastWithCustomButton.destroy();
      if (self.toastWithCallback) self.toastWithCallback.destroy();
    },
  },
};
</script>
On this page

Toast React Component

There is no specific Toast React component, you need to use core Toast component.

Examples

toast.jsx
import React, { useRef } from 'react';
import { Navbar, Page, Block, Button, theme, f7 } from 'framework7-react';

export default () => {
  const toastBottom = useRef(null);
  const toastTop = useRef(null);
  const toastCenter = useRef(null);
  const toastIcon = useRef(null);
  const toastLargeMessage = useRef(null);
  const toastWithButton = useRef(null);
  const toastWithCustomButton = useRef(null);
  const toastWithCallback = useRef(null);

  const showToastBottom = () => {
    // Create toast
    if (!toastBottom.current) {
      toastBottom.current = f7.toast.create({
        text: 'This is default bottom positioned toast',
        closeTimeout: 2000,
      });
    }
    // Open it
    toastBottom.current.open();
  };
  const showToastTop = () => {
    // Create toast
    if (!toastTop.current) {
      toastTop.current = f7.toast.create({
        text: 'Top positioned toast',
        position: 'top',
        closeTimeout: 2000,
      });
    }
    // Open it
    toastTop.current.open();
  };
  const showToastCenter = () => {
    // Create toast
    if (!toastCenter.current) {
      toastCenter.current = f7.toast.create({
        text: "I'm on center",
        position: 'center',
        closeTimeout: 2000,
      });
    }
    // Open it
    toastCenter.current.open();
  };
  const showToastIcon = () => {
    // Create toast
    if (!toastIcon.current) {
      toastIcon.current = f7.toast.create({
        icon: theme.ios
          ? '<i class="f7-icons">star_fill</i>'
          : '<i class="material-icons">star</i>',
        text: "I'm on center",
        position: 'center',
        closeTimeout: 2000,
      });
    }
    // Open it
    toastIcon.current.open();
  };
  const showToastLargeMessage = () => {
    // Create toast
    if (!toastLargeMessage.current) {
      toastLargeMessage.current = f7.toast.create({
        text: 'This toast contains a lot of text. Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nihil, quae, ab. Delectus amet optio facere autem sapiente quisquam beatae culpa dolore.',
        closeTimeout: 2000,
      });
    }
    // Open it
    toastLargeMessage.current.open();
  };
  const showToastWithButton = () => {
    // Create toast
    if (!toastWithButton.current) {
      toastWithButton.current = f7.toast.create({
        text: 'Toast with additional close button',
        closeButton: true,
      });
    }
    // Open it
    toastWithButton.current.open();
  };
  const showToastWithCustomButton = () => {
    // Create toast
    if (!toastWithCustomButton.current) {
      toastWithCustomButton.current = f7.toast.create({
        text: 'Custom close button',
        closeButton: true,
        closeButtonText: 'Close Me',
        closeButtonColor: 'red',
      });
    }
    // Open it
    toastWithCustomButton.current.open();
  };
  const showToastWithCallback = () => {
    // Create toast
    if (!toastWithCallback.current) {
      toastWithCallback.current = f7.toast.create({
        text: 'Callback on close',
        closeButton: true,
        on: {
          close() {
            f7.dialog.alert('Toast closed');
          },
        },
      });
    }
    // Open it
    toastWithCallback.current.open();
  };
  const onPageBeforeOut = () => {
    f7.toast.close();
  };
  const onPageBeforeRemove = () => {
    // Destroy toasts when page removed
    if (toastBottom.current) toastBottom.current.destroy();
    if (toastTop.current) toastTop.current.destroy();
    if (toastCenter.current) toastCenter.current.destroy();
    if (toastIcon.current) toastIcon.current.destroy();
    if (toastLargeMessage.current) toastLargeMessage.current.destroy();
    if (toastWithButton.current) toastWithButton.current.destroy();
    if (toastWithCustomButton.current) toastWithCustomButton.current.destroy();
    if (toastWithCallback.current) toastWithCallback.current.destroy();
  };

  return (
    <Page onPageBeforeRemove={onPageBeforeRemove} onPageBeforeOut={onPageBeforeOut}>
      <Navbar title="Toast"></Navbar>
      <Block strongIos outlineIos>
        <p>Toasts provide brief feedback about an operation through a message on the screen.</p>
        <p>
          <Button fill onClick={showToastBottom}>
            Toast on Bottom
          </Button>
        </p>
        <p>
          <Button fill onClick={showToastTop}>
            Toast on Top
          </Button>
        </p>
        <p>
          <Button fill onClick={showToastCenter}>
            Toast on Center
          </Button>
        </p>
        <p>
          <Button fill onClick={showToastIcon}>
            Toast with icon
          </Button>
        </p>
        <p>
          <Button fill onClick={showToastLargeMessage}>
            Toast with large message
          </Button>
        </p>
        <p>
          <Button fill onClick={showToastWithButton}>
            Toast with close button
          </Button>
        </p>
        <p>
          <Button fill onClick={showToastWithCustomButton}>
            Toast with custom button
          </Button>
        </p>
        <p>
          <Button fill onClick={showToastWithCallback}>
            Toast with callback on close
          </Button>
        </p>
      </Block>
    </Page>
  );
};
On this page